Name:       kdevelop-xml
Version: 0.0.1_6_gef97747
Release:    20%{?dist}
License:    GPLv2
Source0:    kdevelop-xml-%{version}.tar.gz

Summary:    XML Plugin for KDevelop
URL:        http://kdevelop.org

BuildRequires:  kdevplatform-devel
BuildRequires:  kdevelop-devel 
BuildRequires:  kdevelop-pg-qt-devel

%description
QML and JavaScript language support for KDevelop Integrated Development
Environment.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.

%prep
%setup -qn kdevelop-xml-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ../
popd
make %{?_smp_mflags} -C %{_target_platform} 

%install
make install/fast DESTDIR=${RPM_BUILD_ROOT} -C %{_target_platform}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%{_kde4_libdir}/kde4/kdevsgmlformatter.so
%{_kde4_libdir}/kde4/kdevsgmllanguagesupport.so
%{_kde4_libdir}/kde4/kdevxmlcatalogui.so
%{_kde4_libdir}/kde4/kdevxmlvalidator.so
%{_kde4_libdir}/libkdevsgmlcompletion.so
%{_kde4_libdir}/libkdevsgmlduchain.so
%{_kde4_libdir}/libkdevxmlcatalog.so.1
%{_kde4_libdir}/libkdevxmlcatalog.so.1.0.0
%{_kde4_appsdir}/kdevsgmlformatter/kdevsgmlformatter.rc
%{_kde4_appsdir}/kdevxmlcatalog/catalogs/*.xml
%{_kde4_appsdir}/kdevxmlcatalog/catalogs/*.dtd
%{_kde4_appsdir}/kdevxmlcatalogui/kdevxmlcatalogui.rc
%{_kde4_appsdir}/kdevxmlsupport/kdevxmlvalidator.rc
%{_kde4_datadir}/kde4/services/kdevsgmlformatter.desktop
%{_kde4_datadir}/kde4/services/kdevsgmlsupport.desktop
%{_kde4_datadir}/kde4/services/kdevxmlcatalogui.desktop
%{_kde4_datadir}/kde4/services/kdevxmlvalidator.desktop

%files devel
%{_kde4_includedir}/kdevplatform/kdevxmlcatalog/*.h
%{_kde4_includedir}/kdevsgmlduchain/*.h
%{_kde4_libdir}/libkdevxmlcatalog.so


%changelog
* Tue Aug 05 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_6_gef97747-20
- Update to latest git snapshot

* Mon Aug 04 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_6_gef97747-19
- Update to latest git snapshot

* Tue Jul 29 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_6_gef97747-18
- Update to latest git snapshot

* Mon Jul 28 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_6_gef97747-17
- Update to latest git snapshot

* Mon Jul 28 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_6_gef97747-16
- Update to latest git snapshot

* Wed Jul 16 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_4_g7a820b9-15
- Update to latest git snapshot

* Tue Jul 15 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_4_g7a820b9-14
- Update to latest git snapshot

* Tue Jul 15 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_4_g7a820b9-13
- Update to latest git snapshot

* Tue Jul 15 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_4_g7a820b9-12
- Update to latest git snapshot

* Tue Jun 24 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_4_g7a820b9-11
- Update to latest git snapshot

* Tue Jun 24 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_4_g7a820b9-10
- Update to latest git snapshot

* Tue Jun 24 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_4_g7a820b9-9
- Update to latest git snapshot

* Fri Jun 13 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_4_g7a820b9-8
- Update to latest git snapshot

* Fri May 30 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_4_g7a820b9-7
- Update to latest git snapshot

* Fri May 30 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_4_g7a820b9-6
- Update to latest git snapshot

* Mon May 12 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_4_g7a820b9-5
- Update to latest git snapshot

* Tue Feb 18 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_1_g787329c-4
- Update to latest git snapshot

* Mon Feb 03 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_1_g787329c-3
- Update to latest git snapshot

* Mon Jan 27 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1-2
- Update to latest git snapshot

* Mon Jan 27 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1-1
- Initial package
